ppwstory4/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story4.urls')),
]

story4/urls.py
from django.urls import path
from . import views
from . import models

app_name = 'story4'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
    path('about2/', views.about2, name='about2'),
    path('contact/', views.contact, name='contact'),
    path('schedule/', views.schedule, name='schedule'),
    path('createsched/', views.createsched, name='createsched'),
    path('schedule/delete', views.schedule_delete, name='schedule_delete'),
]

story4/models.py
from django.db import models
from datetime import datetime

# Create your models here.


class Schedule(models.Model):

    activity = models.CharField(max_length=30)
    date = models.DateTimeField(default=datetime.now)
    time = models.TimeField()
    place = models.CharField(max_length=20)
    category = models.CharField(max_length=20)

    def __str__(self):
        return self.activity

story4/forms.py
from django import forms
from .models import Schedule


class ScheduleForm(forms.ModelForm):
    class Meta:
        model = Schedule
        fields = ['activity', 'date', 'time', 'place', 'category']
        widgets = {
            'date': forms.DateInput(attrs={'type': 'date'}),
            'time': forms.TimeInput(attrs={'type': 'time'})}

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        for field in self.Meta.fields:
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })

story4/views.py
from django.shortcuts import render, redirect
from .models import Schedule
from . import forms


# Create your views here.
def home(request):
    return render(request, "home.html")

def about(request):
    return render(request, "about.html")

def about2(request):
    return render(request, "about2.html")

def contact(request):
    return render(request, "contact.html")

# def jadwal(request):
#     jadwalnya = Jadwal.objects.all().values()
    
#     response = {'jadwal': jadwalnya}
#     return render(request,'jadwal.html',response)

def schedule(request):
    schedules = Schedule.objects.all().order_by('date')
    return render(request, 'schedule.html', {'schedules': schedules})

def createsched(request):
    if request.method == 'POST':
        form = forms.ScheduleForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('story4:schedule')

    else:
        form = forms.ScheduleForm()
    return render(request, 'createsched.html', {'form': form})

def schedule_delete(request):
	Schedule.objects.all().delete()
	return render(request, "schedule.html")

story4/templates/about.html
<!DOCTYPE html>
{% load static %}
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>About Me</title>
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <link href="{% static 'css/hei.css' %}" rel="stylesheet" type="text/css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
                <nav class="navbar navbar-expand-sm justify-content-center sticky-top">
                                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                                        <span class="navbar-toggler-icon"></span>
                                      </button>  
                                <div class="collapse navbar-collapse" id="collapsibleNavbar">    
                                    <ul class="navbar-nav">
                                        <li class="nav-item">
                                            <a class="nav-link" href="{% url 'story4:home' %}">home</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:about' %}" >about</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:contact' %}">contact</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:schedule' %}">schedule</a>
                                        </li>
                                    </ul>
                                </div>
                                </nav>

       
    <div class="row backgroundimg1">
            <div class="judul-about"> 
                    <h1 class="jud1">ABOUT</h1>
                    <h1 class="jud1">ME.</h1>
            </div>
    </div>

    <div class="row ">
            <div class= "col-md-3"></div>
    
            <div class="col-md-9 konten-about">
                    <p class="tentangaku">I am an Information System student of University of
                            Indonesia. I have an IT background and big passionate in
                            art and public relations. I have developed my analytical
                            skill through my major, also leadership and team-work
                            skills through my experiences in organizations. With my
                            strong willingnes to learn, I am looking further to develop
                            and use my skills.</p>
                    <a href="{% url 'story4:about2' %}" class="button-about">experience&skills..</a>
            </div>
    </div>

            
        <!-- <div class="container"> -->
        <!-- <div class= "row"> -->
            <!-- <div class="col-sm-3">
    
                <div class="judul-about"> 
                        <h1 class="jud1">ABOUT</h1>
                        <h1 class="jud1">ME.</h1>
                </div>
            </div> -->
            <!-- <div class="col-sm-9"></div> -->
        <!-- </div> -->
        
        <!-- <div class= "row"> -->
            
                <!-- <div class="col">
    
                                <div class="konten-about">
                                        <p class="tentangaku">I am an Information System student of University of
                                                Indonesia. I have an IT background and big passionate in
                                                art and public relations. I have developed my analytical
                                                skill through my major, also leadership and team-work
                                                skills through my experiences in organizations. With my
                                                strong willingnes to learn, I am looking further to develop
                                                and use my skills.</p>
                                        <a href="about2.html" class="button-about">experience&skills..</a>
                                </div>
                </div>
        </div> -->
        
                        
    
    

              <script src="js/bootstrap.js"></script> 
              <script src="css/bootstrap.css"></script>
              <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>

story4/templates/about2.html
<!DOCTYPE html>
{% load static %}
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>About Me</title>
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <link href="{% static 'css/hei.css' %}" rel="stylesheet" type="text/css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
        <nav class="navbar navbar-expand-sm justify-content-center sticky-top">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                        <span class="navbar-toggler-icon"></span>
                      </button>  
                <div class="collapse navbar-collapse" id="collapsibleNavbar">    
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'story4:home' %}">home</a>
                        </li>
                        <li class="nav-item" >
                            <a class="nav-link" href="{% url 'story4:about' %}" >about</a>
                        </li>
                        <li class="nav-item" >
                            <a class="nav-link" href="{% url 'story4:contact' %}">contact</a>
                        </li>
                        <!-- <li class="nav-item" >
                            <a class="nav-link" href="gallery.html">gallery</a>
                        </li>
                        <li class="nav-item">
                                <a class="nav-link" href="newpage.html">video</a>
                        </li> -->
                    </ul>
                </div>
                </nav>

    <div class= "row backgroundimg21">
        <h1 class="judskill">Skills & Interest</h1>
    </div>
    
    <div class="row backgroundimg2">
        <div class= "col-md-6 skill1">
            <p>HTML</p>
            <div class="container">
                <div class="skills html">20%</div>
            </div>

            <p>Java</p>
            <div class="container">
                <div class="skills java">40%</div>
            </div>

            <p>Python</p>
            <div class="container">
                <div class="skills python">60%</div>
            </div>

            <p>Microsoft Word</p>
            <div class="container">
                <div class="skills mw">90%</div>
            </div>
        </div>
        
        <div class= "col-md-6 skill2">
            <p>Microsoft Excel</p>
            <div class="container">
                <div class="skills me">75%</div>
            </div>

            <p>Public Relation</p>
            <div class="container">
                <div class="skills pr">90%</div>
            </div>

            <p>Art Performance</p>
            <div class="container">
                <div class="skills art">90%</div>
            </div>

            <p>Fashion</p>
            <div class="container">
                <div class="skills fashion">80%</div>
            </div>
        </div>
    
    </div>

    <div class= "row backgroundimg21">
            <h1 class="judskill">Experiences</h1>
    </div>

    <div class= "row backgroundimg22">
        <p class="col-md myexpe">
                Secretary of Majelis Perwakilan Kelas - 99 SHS Jakarta <br>
                Staff of Art & Culture - Badan Eksekutif Mahasiswa Fasilkom UI<br>
                PIC of Ticketing - Experience 2017<br>
                PIC of Sponsorship - Computers Get Together 2019<br>
                Head of Operational - Campus Expo 99 SHS Jakarta 2019<br>
                Staff of Stage Division - COMPFEST 2019<br>
        </p>
            
    </div>



   
                        
    
    

              <script src="js/bootstrap.js"></script> 
              <script src="css/bootstrap.css"></script>
              <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>

story4/templates/contact.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/bootstrap.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/hei.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <title>contact</title>
</head>


<body>
   <!-- Navigation Bar -->
   <nav class="navbar navbar-expand-sm justify-content-center sticky-top">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                <span class="navbar-toggler-icon"></span>
              </button>  
        <div class="collapse navbar-collapse" id="collapsibleNavbar">    
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'story4:home' %}">home</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="{% url 'story4:about' %}" >about</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="{% url 'story4:contact' %}">contact</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="{% url 'story4:schedule' %}">schedule</a>
                </li>
            </ul>
        </div>
        </nav>
        
        <!-- Background -->
        <div class="row">
                <div class="col-sm-6 backgroundimg3 d-flex justify-content-center align-items-center">
                
                        <div class="judcontact"> 
                                <h1 class="contact">CONT-</h1>
                                <h1 class="contact"> ACT </h1>
                                <h1 class="contact">ME</h1>
                                
                        </div>
        
                </div>


                    
        
                <div class="col-sm-6 d-flex justify-content-center align-items-center "> 
                        <div class="konten1"> 
                            <p class="contact1"> Email: billau24@gmail.com<br>
     
                                    Phone: 085716452427<br>

                                    Instagram : billauu</p>
      
                         </div>
                </div>
            </div>




    

            
    
    
    <script src="js/bootstrap.js"></script> 
    <script src="css/bootstrap.css"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>

story4/templates/createsched.html
<!DOCTYPE html>
{% load static %}
{% block content %} 
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Schedule</title>
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <link href="{% static 'css/hei.css' %}" rel="stylesheet" type="text/css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
                <nav class="navbar navbar-expand-sm justify-content-center sticky-top">
                                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                                        <span class="navbar-toggler-icon"></span>
                                      </button>  
                                <div class="collapse navbar-collapse" id="collapsibleNavbar">    
                                    <ul class="navbar-nav">
                                        <li class="nav-item">
                                            <a class="nav-link" href="{% url 'story4:home' %}">home</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:about' %}" >about</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:contact' %}">contact</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:schedule' %}">schedule</a>
                                        </li>
                                    </ul>
                                </div>
                                </nav>
    
                                
                                <div class="css">   
                                    <h1>Create Schedule!</h1>
                                <form class="css1" method="POST">
                                    {% csrf_token %}
                                    <div class="form-row">
                                        <div class="col-sm-1"></div>
                                        <div class="form-group col-sm-10">
                                            {% for fields in form %}
                                                {{ fields.label_tag }}
                                                <br>
                                                {{ fields }}
                                            {% endfor %}
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1"></div>
                                        <input type="submit" class="btn btn-primary float-right" value="Add"> 
                                </form>
                            </div> 
                                                    
    
    

              <script src="js/bootstrap.js"></script> 
              <script src="css/bootstrap.css"></script>
              <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
 {% endblock %}

   

story4/templates/home.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <script type="text/javascript" src="js/jquery.js"></script>
	<script type="text/javascript" src="js/bootstrap.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  
    <link rel="stylesheet" type="text/css" href="{% static 'css/hei.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <title>Salsabilla Hisyana</title>
</head>


<body>
   <!-- Navigation Bar -->
   <nav class="navbar navbar-expand-sm justify-content-center sticky-top">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                <span class="navbar-toggler-icon"></span>
              </button>  
        <div class="collapse navbar-collapse" id="collapsibleNavbar">    
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'story4:home' %}">home</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="{% url 'story4:about' %}" >about</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="{% url 'story4:contact' %}">contact</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="{% url 'story4:schedule' %}">schedule</a>
                </li>
            </ul>
        </div>
        </nav>
        
        <!-- Background -->
        <div class="row">
        <div class="col-sm-6 backgroundimg d-flex justify-content-center align-items-center">
        
            <div class="profpic ">
            <img  src="{% static 'images/Group.png' %}" alt="Responsive image" >
            </div>

        </div>
            

        <div class="col-sm-6 d-flex justify-content-center align-items-center"> 
                <div class="konten"> 
                        <h1 class="myH1">HE</h1>
                        <h1>LLO.</h1>
                        <p class="text1">I am Salsabilla Hisyana </p>
                        <p class="text2">You can call me Billa, An Information System Student with a big passion in art. </p>
                        <a href="{% url 'story4:about' %}" class="button">more about me.. </a>
                 </div>
        </div>
    </div>


    

            
    
    
    <script src="js/bootstrap.js"></script> 
    <script src="css/bootstrap.css"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>

story4/templates/schedule.html
<!DOCTYPE html>
{% load static %}
{% block content %} 

<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Schedule</title>
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <link href="{% static 'css/hei.css' %}" rel="stylesheet" type="text/css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
                <nav class="navbar navbar-expand-sm justify-content-center sticky-top">
                                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                                        <span class="navbar-toggler-icon"></span>
                                      </button>  
                                <div class="collapse navbar-collapse" id="collapsibleNavbar">    
                                    <ul class="navbar-nav">
                                        <li class="nav-item">
                                            <a class="nav-link" href="{% url 'story4:home' %}">home</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:about' %}" >about</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:contact' %}">contact</a>
                                        </li>
                                        <li class="nav-item" >
                                            <a class="nav-link" href="{% url 'story4:schedule' %}">jadwal</a>
                                        </li>
                                    </ul>
                                </div>
                                </nav>
    
                                
                        <div class="row backgroundimg-sched"> 
                                <h1 class= "judsched">SCHEDULE</h1>
                        </div>
                                <div class="article">
                                    <a href="{% url 'story4:schedule' %}"></a>
                                    <div class="article">
                                        <div class="row table1">
                                            {% for schedule in schedules %}
                                                <div class="table col-sm-4 text-center">
                                                    <h2>{{ schedule.activity }}</h2>
                                                    <p>{{ schedule.date.date }}</p>
                                                    <p>{{ schedule.time}}</p>
                                                    <p>{{ schedule.place }}</p>
                                                    <p>{{ schedule.category }}</p>
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                </div>
                                <div class = 'col-md-12  d-flex justify-content-center align-items-center'>
                                    <div class = 'form-group'>
                                        <a href="{% url 'story4:schedule_delete' %}"><button type="button-clear" class= "btn btn-secondary btn-lg btn-md">Clear</button></a>
                                        <a href="{% url 'story4:createsched' %}"><button type="button" class= "btn btn-secondary btn-lg btn-md">Create</button></a>
                                </div>
                            </div>
                            
                            

            
       
        
                        
    
    

              <script src="js/bootstrap.js"></script> 
              <script src="css/bootstrap.css"></script>
              <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
 {% endblock %}